﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace TimeTrackerClient
{
    public partial class MainPage : PhoneApplicationPage
    {

        private TimeTrackerService.TimeTrackerServiceClient timeTracker;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            timeTracker = new TimeTrackerService.TimeTrackerServiceClient();

            timeTracker.SaveSessionCompleted += 
                new EventHandler<System.ComponentModel.AsyncCompletedEventArgs>(
                    timeTracker_SaveSessionCompleted);

            timeTracker.GetSessionListCompleted += 
                new EventHandler<TimeTrackerService.GetSessionListCompletedEventArgs>(
                    timeTracker_GetSessionListCompleted);
        }

void timeTracker_GetSessionListCompleted(object sender, TimeTrackerService.GetSessionListCompletedEventArgs e)
{
    if (!e.Cancelled)
    {
        sessionsTextBlock.Text = e.Result;
    }
}

        void timeTracker_SaveSessionCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e)
        {
            if (!e.Cancelled)
            {
                employeeNameTextBox.Text = "Employee name here...";
                companyNameTextBox.Text = "Company name here...";
            }
        }

        private void saveButton_Click(object sender, RoutedEventArgs e)
        {
            int startHour, startMin, endHour, endMin;

            if (int.TryParse(startHourTextBox.Text, out startHour) &&
                 int.TryParse(startMinTextBox.Text, out startMin) &&
                 int.TryParse(endHourTextBox.Text, out endHour) &&
                 int.TryParse(endMinTextBox.Text, out endMin))
            {
                timeTracker.SaveSessionAsync(employeeNameTextBox.Text, companyNameTextBox.Text,
                    startHour, startMin, endHour, endMin);
            }
        }

private void listButton_Click(object sender, RoutedEventArgs e)
{
    timeTracker.GetSessionListAsync();
}
    }
}